[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# TIDEADeCryptStream.Read

Reads data from the stream, decrypting it as needed

## Declaration

Source position: idea.pp line 107

`public function TIDEADeCryptStream.Read(`
`var Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Arguments

`Buffer` |  | Buffer to place the decrypted data
`Count` |  | Number of bytes that should be read from the stream.

## Function result

Number of bytes actually read.

## Description

Read attempts to read Count bytes from the stream, placing them in Buffer the bytes are read from the source stream and decrypted as they are read. (bytes are read from the source stream in blocks of 8 bytes. The function returns the number of bytes actually read.

## Errors

If an error occurs when reading data from the source stream, an exception may be raised.

## See also

Seek |  | Set position on the stream
TIDEAEncryptStream |  | IDEA encryption stream.